package com.njzscloud.supervisory.order.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.order.mapper.OrderGoodsMapper;
import com.njzscloud.supervisory.order.pojo.entity.OrderGoodsEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 订单产品表
 */
@Slf4j
@Service
public class OrderGoodsService extends ServiceImpl<OrderGoodsMapper, OrderGoodsEntity> implements IService<OrderGoodsEntity> {

    /**
     * 新增
     */
    public void add(OrderGoodsEntity orderGoodsEntity) {
        this.save(orderGoodsEntity);
    }

    /**
     * 修改
     */
    public void modify(OrderGoodsEntity orderGoodsEntity) {
        this.updateById(orderGoodsEntity);
    }

    /**
     * 删除
     */
    @Transactional(rollbackFor = Exception.class)
    public void del(List<Long> ids) {
        this.removeBatchByIds(ids);
    }

    /**
     * 详情
     */
    public OrderGoodsEntity detail(Long id) {
        return this.getById(id);
    }

    /**
     * 分页查询
     */
    public PageResult<OrderGoodsEntity> paging(PageParam pageParam, OrderGoodsEntity orderGoodsEntity) {
        return PageResult.of(this.page(pageParam.toPage(), Wrappers.<OrderGoodsEntity>query(orderGoodsEntity)));
    }

}
